Subject: bug#51689: emacs

From: Eli Zaretskii <[email-masked]>
Date: Mon, 08 Nov 2021 20:15:56 +0200

> Date: Mon, 8 Nov 2021 17:44:54 +0100
> From: Han Boetes <[email-masked]>
> 
>     ./configure --without-makeinfo --without-x --mandir=/usr/local/man --with-native-compilation
>     gmake
> 
> egcc (GCC) 11.2.0, is just gcc-11 which is traditionally installed as
> egcc to avoid conflicts with the usually somewhat older gcc in base.
> 
> 
> Now if I start emacs with:
> 
>     emacs -nw -Q ~/.config/emacs/init.el
> 
> The file init.el is not loaded and I get a single error message:
> 
>     Symbol’s function definition is void: regexp-opt-group

Yes, "emacs -nw" doesn't start well yet under native-compilation.
This is being discussed on emacs-devel for the past couple of weeks,
so stay tuned.

> Please let me know if there is anything I can do to help debugging this problem.

You could find the reason and suggest the solution. ;-)